CVE-2002-0376
CVSS7.5
发布时间 :2002-09-24 00:00:00
修订时间 :2008-09-10 15:11:51
NMCOS    

[原文]Buffer overflow in Apple QuickTime 5.0 ActiveX component allows remote attackers to execute arbitrary code via a long pluginspage field.


[CNNVD]Apple QuickTime ActiveX远程缓冲区溢出漏洞(CNNVD-200209-047)

        
        Apple QuickTime是一款提供高质量声音和图象的媒体播放器。
        Apple QuickTime ActiveX控件在处理"pluginspage"字段时缺少正确的缓冲区边界检查,远程攻击者可以利用这个漏洞进行拒绝服务攻击。
        Apple QuickTime ActiveX控件当嵌入到WEB页面时一般用于电影跟踪和其他流、静态媒体技术处理,这个控件在处理"pluginspage"字段时对缓冲区边界缺少正确检查,远程攻击者可以利用构建恶意WEB页,或者发送HTML形式邮件诱使用户打开,可导致客户端产生缓冲区溢出,精心构建"pluginspage"字段数据可能以当前用户进程的权限在系统上执行任意指令。
        

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-0376
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-0376
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200209-047
(官方数据源) CNNVD

- 其它链接及资源

http://www.atstake.com/research/advisories/2002/a091002-1.txt
(VENDOR_ADVISORY)  ATSTAKE  A091002-1
http://www.iss.net/security_center/static/10077.php
(VENDOR_ADVISORY)  XF  quicktime-activex-pluginspage-bo(10077)
http://www.securityfocus.com/bid/5685
(UNKNOWN)  BID  5685
http://online.securityfocus.com/archive/1/293095
(UNKNOWN)  BUGTRAQ  20020925 Fwd: QuickTime for Windows ActiveX security advisory

- 漏洞信息

Apple QuickTime ActiveX远程缓冲区溢出漏洞
高危 边界条件错误
2002-09-24 00:00:00 2005-05-13 00:00:00
远程  
        
        Apple QuickTime是一款提供高质量声音和图象的媒体播放器。
        Apple QuickTime ActiveX控件在处理"pluginspage"字段时缺少正确的缓冲区边界检查,远程攻击者可以利用这个漏洞进行拒绝服务攻击。
        Apple QuickTime ActiveX控件当嵌入到WEB页面时一般用于电影跟踪和其他流、静态媒体技术处理,这个控件在处理"pluginspage"字段时对缓冲区边界缺少正确检查,远程攻击者可以利用构建恶意WEB页,或者发送HTML形式邮件诱使用户打开,可导致客户端产生缓冲区溢出,精心构建"pluginspage"字段数据可能以当前用户进程的权限在系统上执行任意指令。
        

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * 不随意打开不信任的WEB页和EMAIL附件。
        * 按照如下地址,编辑注册表为ActiveX控件设置"kill bit":
        
        http://support.microsoft.com/default.aspx?scid=KB;EN-US;q240797&

        厂商补丁:
        Apple
        -----
        下载Quicktime 6:
        
        http://www.apple.com/quicktime/

- 漏洞信息

9341
Apple QuickTime ActiveX pluginspace Field Remote Overflow
Remote / Network Access, Context Dependent Input Manipulation
Loss of Integrity

- 漏洞描述

Unknown or Incomplete

- 时间线

2002-09-10 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Apple QuickTime ActiveX Component Buffer Overrun Vulnerability
Boundary Condition Error 5685
Yes No
2002-09-10 12:00:00 2008-03-27 04:19:00
Discovered by Ollie Whitehouse <ollie@atstake.com>, Andreas Junestam <andreas@atstake.com> and Dave Aitel.

- 受影响的程序版本

Apple Quicktime ActiveX Component 5.0.2
+ Microsoft Internet Explorer 5.0.1 SP2
+ Microsoft Internet Explorer 5.0.1 SP2
+ Microsoft Internet Explorer 5.0.1 SP1
+ Microsoft Internet Explorer 5.0.1 SP1
+ Microsoft Internet Explorer 5.0.1
+ Microsoft Internet Explorer 5.0.1
+ Microsoft Internet Explorer 6.0
+ Microsoft Internet Explorer 5.5 SP2
+ Microsoft Internet Explorer 5.5 SP2
+ Microsoft Internet Explorer 5.5 SP1
+ Microsoft Internet Explorer 5.5 SP1
+ Microsoft Internet Explorer 5.5 preview
+ Microsoft Internet Explorer 5.5 preview
+ Microsoft Internet Explorer 5.5
+ Microsoft Internet Explorer 5.5
+ Microsoft Internet Explorer 5.0
+ Microsoft Internet Explorer 5.0
Apple Quicktime ActiveX Component 6.0
+ Microsoft Internet Explorer 5.0.1 SP2
+ Microsoft Internet Explorer 5.0.1 SP2
+ Microsoft Internet Explorer 5.0.1 SP1
+ Microsoft Internet Explorer 5.0.1 SP1
+ Microsoft Internet Explorer 5.0.1
+ Microsoft Internet Explorer 5.0.1
+ Microsoft Internet Explorer 6.0
+ Microsoft Internet Explorer 5.5 SP2
+ Microsoft Internet Explorer 5.5 SP2
+ Microsoft Internet Explorer 5.5 SP1
+ Microsoft Internet Explorer 5.5 SP1
+ Microsoft Internet Explorer 5.5 preview
+ Microsoft Internet Explorer 5.5 preview
+ Microsoft Internet Explorer 5.5
+ Microsoft Internet Explorer 5.5
+ Microsoft Internet Explorer 5.0
+ Microsoft Internet Explorer 5.0

- 不受影响的程序版本

Apple Quicktime ActiveX Component 6.0
+ Microsoft Internet Explorer 5.0.1 SP2
+ Microsoft Internet Explorer 5.0.1 SP2
+ Microsoft Internet Explorer 5.0.1 SP1
+ Microsoft Internet Explorer 5.0.1 SP1
+ Microsoft Internet Explorer 5.0.1
+ Microsoft Internet Explorer 5.0.1
+ Microsoft Internet Explorer 6.0
+ Microsoft Internet Explorer 5.5 SP2
+ Microsoft Internet Explorer 5.5 SP2
+ Microsoft Internet Explorer 5.5 SP1
+ Microsoft Internet Explorer 5.5 SP1
+ Microsoft Internet Explorer 5.5 preview
+ Microsoft Internet Explorer 5.5 preview
+ Microsoft Internet Explorer 5.5
+ Microsoft Internet Explorer 5.5
+ Microsoft Internet Explorer 5.0
+ Microsoft Internet Explorer 5.0

- 漏洞讨论

A vulnerability has been reported in the Apple QuickTime ActiveX component for Internet Explorer. The issue is a buffer-overrun condition that occurs because the software fails to perform adequate boundary checks of supplied arguments. If the component is invoked with the 'pluginspage' argument set to an overly long string value, the overrun will occur.

Successful exploits may allow attacker-supplied instructions to run on affected client systems.

- 漏洞利用

This issue is currently being exploited in the wild.

- 解决方案

This issue does not affect versions of QuickTime that ship with Mac OS X or Mac OS 9.

This vulnerability is reportedly eliminated in version 6 of the QuickTime ActiveX component. Apple has also released an update for the vulnerable QuickTime ActiveX component.


Apple Quicktime ActiveX Component 5.0.2

- 相关参考

     

     

    关于SCAP中文社区

    SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

    版权声明

    CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站